import Layout from '@/views/layout/Layout'

export default {
  alwaysShow: true,
  path: '/articles',
  component: Layout,
  redirect: 'noredirect',
  name: 'article',
  meta: {
    title: 'article',
    icon: 'excel'
  },
  children: [
    {
      path: '/articles/createArticle/:id',
      component: () => import('@/scrm_pages/article/createArticle'),
      name: 'createArticle',
      meta: { title: 'createArticle', noCache: true }
    },
    {
      path: '/articles/articleList',
      component: () => import('@/scrm_pages/article/articleList'),
      name: 'articleList',
      meta: { title: 'articleList', noCache: true }
    },
    {
      path: '/articles/articleCategory',
      component: () => import('@/scrm_pages/article/acticleCategory'),
      name: 'articleCategory',
      meta: { title: 'articleCategory', noCache: true }
    },
    {
      path: '/articles/commentList',
      component: () => import('@/scrm_pages/article/commentList'),
      name: 'commentList',
      meta: { title: 'commentList', noCache: true }
    },
    {
      path: '/articles/articleComment',
      component: () => import('@/scrm_pages/article/articleComment'),
      name: 'articleComment',
      meta: { title: 'articleComment', noCache: true }
    },
    {
      path: '/articles/articlePreview',
      component: () => import('@/scrm_pages/article/article_preview'),
      name: 'articlePreview',
      hidden:true,
      is_menu: false,
      meta: { title: 'articlePreview', noCache: true }
    },
    {
      path: '/articles/editArticle/:id',
      component: () => import('@/scrm_pages/article/edit_article'),
      name: 'editArticle',
      hidden:true,
      is_menu: false,
      meta: { title: 'editArticle', noCache: true }
    },
    {
      path: '/articles/editVido/:id',
      component:() => import('@/scrm_pages/article/edit_vido'),
      name:'editVido',
      hidden:true,
      is_menu: false,
      meta: { title: 'editVido', noCache: true}
    },
    {
      path: '/articles/articleEditPreview/:id',
      component: () => import('@/scrm_pages/article/articleEditPreview'),
      name: 'articleEditPreview',
      hidden:true,
      is_menu:false,
      meta: { title: 'articleEditPreview', noCache: true }
    },
    {
      path: '/articles/articleCommentDetail/:id',
      component: () => import('@/scrm_pages/article/articlecomment_detail'),
      name: 'articleCommentDetail',
      hidden:true,
      is_menu:false,
      meta: { title: 'articleCommentDetail', noCache: true }
    },
    {
      path:'/articles/articleDetail/:id',
      component:() =>import('@/scrm_pages/article/article_detail'),
      name:'articleDetail',
      hidden:true,
      is_menu:false,
      meta:{ title:'articleDetail',noCache: true }

    },
    {
      path:'/articles/vidoDetail/:id',
      component:()=>import('@/scrm_pages/article/vido_detail'),
      name:'vidoDetail',
      hidden:true,
      is_menu:false,
      meta:{ title:'vidoDetail',noCache: true}
    },
  ]
}
