import Layout from '@/views/layout/Layout'

export default {
  alwaysShow: true,
  path: '/activity',
  component: Layout,
  redirect: 'noredirect',
  name: 'marketingTool',
  meta: {
    title: 'marketingTool',
    icon: 'component'
  },
  children: [{
      path: '/activity/publish',
      component: () => import('@/scrm_pages/marketing_tool/activity_publish'),
      name: 'activityPublish',
      meta: {
        title: 'activityPublish',
        noCache: true
      }
    },
    {
      path: '/activity/list',
      component: () => import('@/scrm_pages/marketing_tool/activity_list'),
      name: 'activityList',
      meta: {
        title: 'activityList',
        noCache: true
      }
    },
    {
      path: '/activity/modify',
      hidden: true,
      is_menu: false,
      component: () => import('@/scrm_pages/marketing_tool/activity_publish'),
      name: 'activityModify',
      meta: {
        title: 'activityModify',
        noCache: true
      }
    },
    {
      path: "/activity",
      hidden: true,
      is_menu: false,
      component: () => import("@/scrm_pages/marketing_tool/activity_detail"),
      name: "activityDetail",
      meta: {
        title: "activityDetail",
        noCache: true,
      }
    },
    {
      path: "/activity/share",
      hidden: true,
      is_menu: false,
      component: () => import("@/scrm_pages/marketing_tool/activity_share"),
      name: "activityShare",
      meta: {
        title: "activityShare",
        noCache: true,
      }
    },
    {
      path: "/activity/signupusers",
      hidden: true,
      is_menu: false,
      component: () => import("@/scrm_pages/marketing_tool/activity_signup_users"),
      name: "activitySignupList",
      meta: {
        title: "activitySignupList",
        noCache: true,
      }
    },
  ]
}
