import Layout from '@/views/layout/Layout'
//会员管理模块

export default {
  alwaysShow: true,
  path: '/members',
  component: Layout,
  redirect: 'noredirect',
  name: 'members',
  meta: {
    title: '会员管理',
    icon: 'peoples'
  },
  children: [
    {
      path: '/member/members',
      component: () => import('@/scrm_pages/members/members'),
      name: 'memberslists',
      meta: { title: '会员管理', noCache: true }
    },
    {
      path: '/member/tags',
      component: () => import('@/scrm_pages/members/tags'),
      name: 'memberTaglist',
      meta: { title: '标签管理', noCache: true }
    },
    {
      path: '/member/cards',
      component: () => import('@/scrm_pages/members/cards'),
      name: 'memberCardlist',
      meta: { title: '会员卡管理', noCache: true }
    },

    // SMS
    {
      path: '/sms',
      component: () => import('@/scrm_pages/sms/sms_manage'),
      name: 'SMSManage',
      meta: { title: 'SMSManage', noCache: true }
    },
    {
      path: '/sms/send',
      component: () => import('@/scrm_pages/sms/sms_send'),
      hidden: true,
      is_menu: false,
      name: 'SMSSend',
      meta: { title: 'SMSSend', noCache: true }
    },
  ]
}
