import Layout from '@/views/layout/Layout'

export default {
  path: '/role',
  component: Layout,
  redirect: '/role/admin/manage',
  name: 'role',
  alwaysShow: true,
  meta: {
    title: 'permissionManage',
    icon: 'role'
  },
  children: [{
    path: '/role/admin/manage',
    component: () => import('@/scrm_pages/role/admin'),
    name: 'adminManage',
    meta: {
      title: 'adminManage'
    }
  },
  {
    path: '/role/manage',
    component: () => import('@/scrm_pages/role/role'),
    name: 'roleManage',
    meta: {
      title: 'roleManage'
    }
  },
  {
    path: '/role/admin/create',
    component: () => import('@/scrm_pages/role/CreateAdmin'),
    name: 'addAdmin',
    meta: {
      title: 'addAdmin',
      noCache: true
    },
    hidden: true,
    is_menu: false
  },
  {
    path: '/role/admin/edit',
    component: () => import('@/scrm_pages/role/EditAdmin'),
    name: 'editAdmin',
    meta: {
      title: 'editAdmin',
      noCache: true
    },
    hidden: true,
    is_menu: false
  },
  {
    path: '/role/perview',
    component: () => import('@/scrm_pages/role/EditPerview'),
    name: 'setupPerview',
    meta: {
      title: 'setupPerview',
      noCache: true
    },
    hidden: true,
    is_menu: false
  }
    // {
    //   path: '/role/admin/specialpermission',
    //   component: () => import('@/scrm_pages/role/special_permission'),
    //   name: 'special_permission_manage',
    //   meta: {
    //     title: 'special_permission_manage'
    //   }
    // }
  ]
}
