import Vue from 'vue'
import Vuex from 'vuex'
import app from './modules/app'
import errorLog from './modules/errorLog'
import tagsView from './modules/tagsView'
import xt_user from './modules/xt_user'
import xt_permission from './modules/xt_permission'
import members from './modules/members'
import xt_role_temps from './modules/role_temps'
import sms_designated_targets from "./modules/sms_designated_targets"

import getters from './getters'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    errorLog,
    tagsView,
    xt_user,
    members,
    xt_permission,
    xt_role_temps,
    sms_designated_targets,
  },
  getters
})

export default store
